IF OBJECT_ID('EST_PRECIFICACAO_CENARIO_IC_IT_PONTO') IS NULL 
	BEGIN
		CREATE TABLE [dbo].[EST_PRECIFICACAO_CENARIO_IC_IT_PONTO](
			[CD_CEN_IC] [int] NOT NULL,
			[CD_IT] [int] NOT NULL,
			[CD_PONTO] [int] NOT NULL,
			[VLR_PONTO] [money] NULL,
			[FAIXA_MIN] [money] NULL,
			[FAIXA_MAX] [money] NULL,
		 CONSTRAINT [PK_EST_PRECIFICACAO_CENARIO_IC_IT_PONTO] PRIMARY KEY CLUSTERED 
		(
			[CD_CEN_IC] ASC,
			[CD_IT] ASC,
			[CD_PONTO] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY]

		ALTER TABLE [dbo].[EST_PRECIFICACAO_CENARIO_IC_IT_PONTO]  WITH CHECK ADD  CONSTRAINT [FK_EST_PRECIFICACAO_CENARIO_IC_IT_PONTO_EST_PRECIFICACAO_CENARIO_IC_IT] FOREIGN KEY([CD_CEN_IC], [CD_IT])
		REFERENCES [dbo].[EST_PRECIFICACAO_CENARIO_IC_IT] ([CD_CEN_IC], [CD_IT])
		ON UPDATE CASCADE
		ON DELETE CASCADE
		
		ALTER TABLE [dbo].[EST_PRECIFICACAO_CENARIO_IC_IT_PONTO] CHECK CONSTRAINT [FK_EST_PRECIFICACAO_CENARIO_IC_IT_PONTO_EST_PRECIFICACAO_CENARIO_IC_IT]		

	END
